Subject: Re: bug#21241: 25.0.50; gfilenotify doesn't indicate when limits are reached

From: Eli Zaretskii <[email-masked]>
Date: Wed, 12 Aug 2015 17:16:12 +0300

> From: Tassilo Horn <[email-masked]>
> Cc: [email-masked]
> Date: Wed, 12 Aug 2015 15:27:26 +0200
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> >> Well, one thing we could do was preferring plain inotify over glib's
> >> GFileMonitor when both are available.  On my GNU/Linux box both are
> >> available and configure chose gfilenotify as the default.
> >
> > I wonder if we should revert our decision to prefer gfilenotify if
> > available, and instead use it only if there's no other supported
> > method.  It begins to sound more and more like gfilenotify is more
> > trouble than it's worth.
> 
> You mean the other emacs-devel thread where it has been reported that
> gfile notifications might get delayed up to 30 seconds?

That, and this bug, and also the fact that it simply doesn't work on
Windows (no notifications come in), although the corresponding glib
tests all pass.  There's also bug#20417, and I think someone also
complained about gfilenotify on OS X.

> Well, at least it seems that THIS issue is considered to be a bug also
> by one glib developer so chances are good that it'll be fixed
> eventually.

Let's hope it will be.